package com.lemon.lifecenter.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.lemon.lifecenter.dto.PatientPHRHistoryDTO;
import com.lemon.lifecenter.mapper.PatientPHRHistoryMapper;

@Service
public class PHRService {

	@Autowired
	private PatientPHRHistoryMapper mapper;
	
	public void insertPHR(PatientPHRHistoryDTO dto) {
		mapper.insertPHRHistory(dto);
	}
	
	public int selectPHRHistoryCount(PatientPHRHistoryDTO dto) {
        return mapper.selectPHRHistoryCount(dto);
    }
    
    public List<PatientPHRHistoryDTO> selectPHRHistoryList(PatientPHRHistoryDTO dto) {
        return mapper.selectPHRHistoryList(dto);
    }
}
